using Microsoft.Xna.Framework;

namespace Game200
{
    public class Vec
    {
        public int X, Y;

        public Vec(int X, int Y)
        {
            this.X = X;
            this.Y = Y;
        }

        public Vector2 ToVector2() => new Vector2(X, Y);

        public static void Swap(Vec a, Vec b)
        {
            Vec c = new Vec(a.X, a.Y);
            a = new Vec(b.X, b.Y);
            b = new Vec(c.X, c.Y);
        }

        public static Vec operator+(Vec a, Vec b) => new Vec(a.X + b.X, a.Y + b.Y);

        public static Vec operator*(Vec a, int b) => new Vec(a.X * b, a.Y * b);

        public static Vec operator*(int b, Vec a) => a * b;
    }
}
